#include <bits/stdc++.h>

using namespace std;

int main()
{
    int Q,N,L,M,S=0;
    vector<string>R;
    vector<int> granicaL, granicaM;
    cin>>N;
    vector<int>A(N), B(N-1);
    for(int i=0;i<N;i++)
    {
        cin>>A[i];
    }
    for(int i=1;i<N;i++)
    {
        B[i-1]=A[i-1]>A[i];
    }
    cin >> Q;
    int p=0,ppr,a;

    for(int i=0;i<N-1;i++)
    {
        S+=B[i];
        if(B[i]==1)
        {
            if(S>1)
            {
                granicaL.push_back(p+1);
                granicaM.push_back(i+1);
                p=ppr+1;
                S--;
            }
            ppr=i;
        }
        a=i;
    }
    granicaL.push_back(p+1);
    granicaM.push_back(a+2);
    for(int i=0;i<Q;i++)
    {
        cin>>L>>M;
        S=distance(granicaL.begin(),lower_bound(granicaL.begin(),granicaL.end(),L));
        if(S==granicaL.size())
            S--;
        if(L>=granicaL[S] && M<=granicaM[S])
            R.push_back("DA");
        else R.push_back("NE");
    }
    for(int i=0;i<Q;i++)
        cout<<R[i]<<endl;
}